public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
Search results ordered by [date|relevance]  view[summary|nested|Atom feed]
thread overview below | download: 
* [gentoo-dev] [PATCH 2/2] eclass/mate.eclass: Add EAPI 7 support
  @ 2021-03-23  2:04 99% ` Adam Feldman
  0 siblings, 0 replies; 1+ results
From: Adam Feldman @ 2021-03-23  2:04 UTC (permalink / raw
  To: gentoo-dev; +Cc: Adam Feldman

---
 eclass/mate.eclass | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/eclass/mate.eclass b/eclass/mate.eclass
index 34d5e47acc22..a3b4cfd0b602 100644
--- a/eclass/mate.eclass
+++ b/eclass/mate.eclass
@@ -7,7 +7,7 @@
 # @AUTHOR:
 # Authors: NP-Hardass <NP-Hardass@gentoo.org> based upon the gnome2
 # and autotools-utils eclasses
-# @SUPPORTED_EAPIS: 6
+# @SUPPORTED_EAPIS: 6 7
 # @BLURB: Provides phases for MATE based packages.
 # @DESCRIPTION:
 # Exports portage base functions used by ebuilds written for packages using the
@@ -16,7 +16,7 @@
 
 # Check EAPI only
 case "${EAPI:-0}" in
-	6) ;;
+	6|7) ;;
 	*) die "EAPI=${EAPI:-0} is not supported" ;;
 esac
 
@@ -26,8 +26,12 @@ esac
 # @DESCRIPTION:
 # Available values for MATE_LA_PUNT:
 # - "no": will not clean any .la files
+# - In EAPI < 7:
 # - "yes": will run prune_libtool_files --modules
 # - If it is not set, it will run prune_libtool_files
+# - In EAPI 7:
+# - Any non-"no" value will run
+#	find "${ED}" -name '*.la' -delete || die
 # MATE_LA_PUNT is a stub to GNOME2_LA_PUNT
 MATE_LA_PUNT=${MATE_LA_PUNT:-""}
 GNOME2_LA_PUNT="${MATE_LA_PUNT}"
@@ -35,7 +39,7 @@ GNOME2_LA_PUNT="${MATE_LA_PUNT}"
 inherit gnome2 autotools mate-desktop.org
 
 case "${EAPI:-0}" in
-	6) EXPORT_FUNCTIONS src_prepare src_configure src_install pkg_preinst pkg_postinst pkg_postrm ;;
+	6|7) EXPORT_FUNCTIONS src_prepare src_configure src_install pkg_preinst pkg_postinst pkg_postrm ;;
 	*) die "EAPI=${EAPI:-0} is not supported" ;;
 esac
 
-- 
2.26.2



^ permalink raw reply related	[relevance 99%]

Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2021-03-23  2:04     [gentoo-dev] [PATCH 1/2] eclass/mate-desktop.org.eclass: Add EAPI 7 support Adam Feldman
2021-03-23  2:04 99% ` [gentoo-dev] [PATCH 2/2] eclass/mate.eclass: " Adam Feldman

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox